/*
                              Endeavour InterPS

	For basic IO of the Endeavour InterPS (Inter Process) system.
 */

#ifndef EDV_INTERPS_H
#define EDV_INTERPS_H

#include <glib.h>
#include "cfg.h"


extern gint EDVInterPSGetLock(const cfg_item_struct *cfg_list);
extern gint EDVInterPSMakeLock(
	const cfg_item_struct *cfg_list,
	const gint p, const gboolean force
);
extern void EDVInterPSRemoveLock(const cfg_item_struct *cfg_list);

extern gboolean EDVInterPSHaveCommand(const cfg_item_struct *cfg_list);
extern void EDVInterPSSendCommandsList(
	const cfg_item_struct *cfg_list,
	const gint p, gchar **cmd_list
);
extern gchar **EDVInterPSGetCommandsList(const cfg_item_struct *cfg_list);
extern void EDVInterPSRemoveCommandsList(const cfg_item_struct *cfg_list);


#endif	/* EDV_INTERPS_H */
